com.versionone.apiclient.filters

## Class GroupFilterTerm

- java.lang.Object
- - com.versionone.apiclient.filters.GroupFilterTerm

- All Implemented Interfaces:
    IFilterTerm
  Direct Known Subclasses:
    AndFilterTerm, OrFilterTerm

      public abstract class GroupFilterTerm
      extends Object
      implements IFilterTerm

  Base class for grouping filter terms (i.e and, or)

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GroupFilterTerm(IFilterTerm[] terms)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GroupFilterTerm` | `and(IFilterTerm... terms)` Create an AndFilterTerm from the array of terms
    `String` | `getShortToken()`
    `String` | `getToken()`
    `boolean` | `hasTerm()`
    `GroupFilterTerm` | `or(IFilterTerm... terms)` Create an OrFilterTerm from the array of terms
    `FilterTerm` | `Term(IAttributeDefinition def)` Create a filter term from the attribute definition

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupFilterTerm

          protected GroupFilterTerm(IFilterTerm[] terms)

  - ### Method Detail

    - #### hasTerm

          public boolean hasTerm()

      Returns:
        Has this grouping terms or not

    - #### getToken

          public String getToken()
                          throws APIException

      Specified by:
        `getToken` in interface `IFilterTerm`
      Returns:
        Full token
      Throws:
        `APIException` - if object has incorrect statement

    - #### getShortToken

          public String getShortToken()
                               throws APIException

      Specified by:
        `getShortToken` in interface `IFilterTerm`
      Returns:
        Short token
      Throws:
        `APIException` - if object has incorrect statement

    - #### and

          public GroupFilterTerm and(IFilterTerm... terms)

      Create an AndFilterTerm from the array of terms
      Parameters:
        `terms` - - IFilterTerm data
      Returns:
        GroupFilterTerm

    - #### or

          public GroupFilterTerm or(IFilterTerm... terms)

      Create an OrFilterTerm from the array of terms
      Parameters:
        `terms` - - IFilterTerm data
      Returns:
        GroupFilterTerm

    - #### Term

          public FilterTerm Term(IAttributeDefinition def)

      Create a filter term from the attribute definition
      Parameters:
        `def` - - IAttributeDefinition data
      Returns:
        FilterTerm

Copyright © 2021 VersionOne, Inc.. All rights reserved.